Status: Closed   

Priority: Normal   

Category:    

Customer: MERCEDES-BENZ TRUCK Product Issue

Numbers:

 

Department: TP/EMD Affected Products: ADTF 2.14.3, ADTF Device Toolbox

2.7.1, ADTF Device Toolbox 2.7.2

Requester's Priority: Normal Platform: Windows 10 64bit, Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Recorder

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

wir haben immer den gleichen Aufbau der durch den Harddisk-Recorder erstellten Messfiles:

Eine Zusammenfassung der einzelnen CANs in einer Struktur "CANs", 4 einzelne Videokanäle und ein GPS-Stream. Diese sind

immer gleich benannt.

Wenn ich diese Messungen in einem Harddisk-Player öffne, passt es häufig auch, dass die Konfiguration dann alle Kanäle direkt

zugeordnet behält und abspielt.

Häufig haben wir aber auch den Fall, dass die Messdatei sich einfach nicht in diese Konfiguration einordnen will. Es legen sich beim

Abspielen dann alle Kanäle (Pins) im Harddisk-Player noch einmal an mit einem Suffix "_rec1" in den Bezeichnungen oder "_rec2"

u.s.w.

In der Messdatei haben die Kanäle jedoch die identische Bezeichnung.

Dann muss man alle Verbindungen der Anzeigekonfiguration auf die neuen Pins neu legen. Entfernt man die alten Pins, passiert

dann das gleiche wieder, wenn man wieder eine derartige Messung einliest, die bisher ging. Behält man beide und setzt die

Verbindungen auf optional, funktionieren beide Messungen in der Auswertung. Dieses setzt sich dann mit der Zeit immer weiter fort.

Ich würde gern verstehen, woran es liegt, dass es dazu kommen kann, um eine Lösung zu suchen, damit das künftig nicht mehr

passiert.

Werden in den Messdateien irgendwelche Versionsnummern der Messkonfiguration mit geschrieben und bei Abweichung werden

diese nicht mehr für eine Auswertekonfiguration akzeptiert? Oder liegt es an der aufzeichnenden ADTF-Version? Oder was für

Mechanismen gibt es hier? Kann man das mit einem Parameter unterbinden?

Lösung

User Manual verweisen: https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf Kapitel "Pin Generation for Multiple Files".

Namenskollisionen, mehrere Rekorder), möchte ich Euch noch auf die Regular Expression Pins verweisen: Kapitel "Regular

expressions for Dynamic Output Pins".

History

#1 - 2019-10-16 14:06 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Recorder

#2 - 2019-10-16 14:06 - hidden

Hallo Martin, bitte sieh dir das an

#3 - 2019-10-16 14:41 - hidden

Hi Marco,
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf


hier möchte ich auf User Manual verweisen: https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf Kapitel "Pin Generation for Multiple Files".

Falls das bei Euch so bleibt (mit den Namenskollisionen, mehrere Rekorder), möchte ich Euch noch auf die Regular Expression Pins verweisen:

Kapitel "Regular expressions for Dynamic Output Pins".

Grüße,

Martin

#4 - 2019-10-16 16:24 - hidden

Vielen Herzlichen Dank!

mit den Regular "expressions for Dynamic Output Pins" habe ich es in den Griff bekommen. Ich habe einfach alle Player-Pins endend mit einem .*

neu angelegt. Jetzt spielen alle Messfiles direkt auf den korrespondierenden Pins passend ab (unabhängig davon, wie diese aufgenommen waren).

Danke, Ihr könnt das Ticket damit schließen.

Schönen Nachmittag,

Marco

#5 - 2019-10-22 13:20 - hidden

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

#6 - 2020-07-07 16:14 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed

#8 - 2023-05-03 10:39 - hidden

- Customer changed from DAIMLER to MERCEDES-BENZ TRUCK
